Index: /trunk/src/lib/graphics/importer/model.cc
===================================================================
--- /trunk/src/lib/graphics/importer/model.cc	(revision 5773)
+++ /trunk/src/lib/graphics/importer/model.cc	(revision 5774)
@@ -24,5 +24,4 @@
 
 #include "vector.h"
-#include "list.h"
 
 using namespace std;
@@ -166,6 +165,4 @@
   this->normals = new tArray<GLfloat>();
 
-  this->materialList = new tList<ModelMaterial>;
-
   if (this->type == MODEL_VERTEX_ARRAY)
     glEnableClientState(GL_VERTEX_ARRAY | GL_NORMAL_ARRAY | GL_TEXTURE_COORD_ARRAY);
@@ -196,16 +193,12 @@
   PRINTF(5)("Deleting Materials.\n");
 
-  tIterator<ModelMaterial>* tmpIt = this->materialList->getIterator();
-  ModelMaterial* modMat = tmpIt->firstElement();
   //! @todo do we really have to delete this material??
-  while(modMat != NULL)
+  list<ModelMaterial*>::iterator modMat;
+  for(modMat = this->materialList.begin(); modMat != this->materialList.end(); modMat++)
   {
-    if (!modMat->external)
-      delete modMat->material;
-    delete modMat;
-    modMat = tmpIt->nextElement();
+    if (!(*modMat)->external)
+      delete (*modMat)->material;
+    delete (*modMat);
   }
-  delete tmpIt;
-  delete materialList;
   delete this->pModelInfo;
 }
@@ -396,5 +389,5 @@
   modMat->external = true;
   modMat->material = material;
-  this->materialList->add(modMat);
+  this->materialList.push_back(modMat);
   return modMat->material;
 }
@@ -412,5 +405,5 @@
 
   // adding material to the List of materials
-  this->materialList->add(modMat);
+  this->materialList.push_back(modMat);
   return modMat->material;
 }
@@ -423,16 +416,8 @@
 Material* Model::findMaterialByName(const char* materialName)
 {
-  tIterator<ModelMaterial>* tmpIt = this->materialList->getIterator();
-  ModelMaterial* modMat = tmpIt->firstElement();
-  while(modMat != NULL)
-    {
-      if (!strcmp(modMat->material->getName(), materialName))
-        {
-          delete tmpIt;
-          return modMat->material;
-        }
-      modMat = tmpIt->nextElement();
-    }
-  delete tmpIt;
+  list<ModelMaterial*>::iterator modMat;
+  for  (modMat = this->materialList.begin(); modMat != this->materialList.end(); modMat++)
+    if (!strcmp((*modMat)->material->getName(), materialName))
+      return (*modMat)->material;
   return NULL;
 }
@@ -929,5 +914,5 @@
   PRINTF(3)("got %i triangles, %i vertices\n", this->triangleCount, this->vertexCount);
 
-  
+
   /* write MODELINFO structure */
 
Index: /trunk/src/lib/graphics/importer/model.h
===================================================================
--- /trunk/src/lib/graphics/importer/model.h	(revision 5773)
+++ /trunk/src/lib/graphics/importer/model.h	(revision 5774)
@@ -12,9 +12,8 @@
 #include "glincl.h"
 #include "array.h"
-
+#include <list>
 
 // FORWARD DECLARATION //
 template<class T> class tArray;
-template<class T> class tList;
 
 
@@ -176,22 +175,22 @@
 
  private:
-  MODEL_TYPE             type;            //!< A type for the Model
-  bool                   finalized;       //!< Sets the Object to be finalized.
+  MODEL_TYPE                 type;            //!< A type for the Model
+  bool                       finalized;       //!< Sets the Object to be finalized.
 
-  unsigned int           vertexCount;     //!< A modelwide Counter for vertices.
-  unsigned int           normalCount;     //!< A modelwide Counter for the normals.
-  unsigned int           texCoordCount;   //!< A modelwide Counter for the texCoord.
-  unsigned int           faceCount;       //!< A modelwide Counter for the faces
-  unsigned int           triangleCount;   //!< Number of triangles >= faceCount
-  tArray<GLfloat>*       vertices;        //!< The Array that handles the Vertices.
-  tArray<GLfloat>*       normals;         //!< The Array that handles the Normals.
-  tArray<GLfloat>*       vTexture;        //!< The Array that handles the VertexTextureCoordinates.
-  sTriangleExt*          triangles;       //!< The Array of triangles in the abstract_model.h style
+  unsigned int               vertexCount;     //!< A modelwide Counter for vertices.
+  unsigned int               normalCount;     //!< A modelwide Counter for the normals.
+  unsigned int               texCoordCount;   //!< A modelwide Counter for the texCoord.
+  unsigned int               faceCount;       //!< A modelwide Counter for the faces
+  unsigned int               triangleCount;   //!< Number of triangles >= faceCount
+  tArray<GLfloat>*           vertices;        //!< The Array that handles the Vertices.
+  tArray<GLfloat>*           normals;         //!< The Array that handles the Normals.
+  tArray<GLfloat>*           vTexture;        //!< The Array that handles the VertexTextureCoordinates.
+  sTriangleExt*              triangles;       //!< The Array of triangles in the abstract_model.h style
 
-  ModelGroup*            firstGroup;      //!< The first of all groups.
-  ModelGroup*            currentGroup;    //!< The currentGroup. this is the one we will work with.
-  int                    groupCount;      //!< The Count of Groups.
+  ModelGroup*                firstGroup;      //!< The first of all groups.
+  ModelGroup*                currentGroup;    //!< The currentGroup. this is the one we will work with.
+  int                        groupCount;      //!< The Count of Groups.
 
-  tList<ModelMaterial>*  materialList;    //!< A list for all the Materials in this Model
+  std::list<ModelMaterial*>  materialList;    //!< A list for all the Materials in this Model
 };
 
Index: /trunk/src/story_entities/campaign.h
===================================================================
--- /trunk/src/story_entities/campaign.h	(revision 5773)
+++ /trunk/src/story_entities/campaign.h	(revision 5774)
@@ -3,6 +3,6 @@
 #define _CAMPAIGN_H
 
-#include "stdincl.h"
 #include "story_entity.h"
+
 #include <list>
 
